CustomFieldDefinitions
Retrieve a custom field definition
Returns details of a specific custom field definition.
GET
Retrieve a custom field definition
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Numeric ID of the custom field definition.
Response
Expected response to a valid request
Numeric ID of the custom field definition.
Unique key identifier for the custom field.
Display name of the custom field.
Type of resource this custom field applies to.
Available options:
item, rental Data type of the custom field value. image is in beta: it is part of the improved custom fields, which are enabled per shop, and only such a shop can hold or write one.
Available options:
string, single_line_text_field, money, customer_reference, rental_reference, return_reference, multi_line_text_field, boolean, date, date_time, integer, item_reference, color, url, json, choice, image Whether this field groups fulfillments together.